Re: [greenstone-devel] Greenstone security

From John R. McPherson
DateMon, 18 Aug 2003 12:01:28 +1200
Subject Re: [greenstone-devel] Greenstone security
In-Reply-To (1060918978-2787-7-camel-paulA-asti-dost-gov-ph)
Paul Afroilan wrote:
> Hello John,
>
> Sorry about that, I compiled the source under RedHat Linux 9.0, I tried
> "gmake" as you suggested but the same error appeared. I already read and
> followed the hints given in the greenstone website unfortunately the
> same problem persists.
>

Well, it sounds like your version of make doesn't like the Makefile.
Can you tell us what version of gnu make ships with red hat 9?
Try doing "$ make --version". We have 3.79.

In the gsdl/packages/Makefile file, lines 50-52 are:
PACKAGEDIRS = wv/wv-gs rtftohtml/rtftohtml_src pdftohtml/pdftohtml_0_34
wget/wget-1.5.3 cpan/XML-Parser-2.27 $(YAZ) $(CORBA)
xlhtml/xlhtml-0.4.9.0

Make seems to be complaining that the last line is being parsed as a
makefile command, rather than as part of the variable.
Check that there isn't a space after the "" in either of the proceeding
lines. Alternatively, remove the space between the PACKAGEDIRS and the
equals sign. That shouldn't be a problem, but you never know...

Also, you could tell us what options the configure script was run with.
Do "$ ./config.status --version" from the top level "gsdl" directory.

John McPherson